# Created by pyp2rpm-3.3.3
%global pypi_name flask-ext

Name:           python-%{pypi_name}
Version:        0.1
Release:        %mkrel 7
Summary:        Extensions of Flask
Group:          Development/Python
License:        MIT
URL:            https://github.com/zengqiu/flask-ext
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/Flask-Ext-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Some extensions of Flask.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-flask.ext}
Obsoletes:      python3-flask.ext < 0.1-2

Requires:       python3dist(flask)

%description -n python3-%{pypi_name}
Some extensions of Flask.

%prep
%autosetup -n Flask-Ext-%{version}

# Remove bundled egg-info
rm -rf Flask_Ext.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/flask_ext/
%{python3_sitelib}/Flask_Ext-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 0.1-7.mga10
+ Revision: 2035828
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.1-6.mga9
+ Revision: 1823763
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.1-5.mga9
+ Revision: 1784908
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.1-4.mga9
+ Revision: 1732658
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.1-3.mga8
+ Revision: 1538963
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 0.1-2.mga8
+ Revision: 1463475
- rename src.rpm as python-flask-ext
- imported package python-flask.ext

